declare const GlobalConfig: {
    validConfig: {
        message: string;
    };
    sortConfig: {
        multipleColumnSort: boolean;
    };
    stripe: boolean;
    stripeSaas: boolean;
    borderSaas: boolean;
    borderVertical: boolean;
    highlightHoverRow: boolean;
    resizable: boolean;
    fit: boolean;
    showHeader: boolean;
    defaultTreeIndent: number;
    defaultTreeSpacing: number;
    rowId: string;
    version: number;
    optimization: {
        animat: boolean;
        delayHover: number;
        scrollX: {
            gt: number;
        };
        scrollY: {
            gt: number;
        };
    };
    icon: {
        sortAsc: any;
        sortDesc: any;
        sortDefault: any;
        required: string;
        filter: any;
        edit: any;
        tree: string;
        refresh: any;
        minscreen: any;
        fullscreen: any;
        custom: any;
        jumpPrev: string;
        jumpNext: string;
        prevPage: string;
        nextPage: string;
        zoomIn: string;
        zoomOut: string;
        modalClose: string;
        modalInfo: string;
        modalSuccess: string;
        modalWarning: string;
        modalError: string;
        modalQuestion: string;
        modalLoading: string;
        caretBottom: string;
        dropdownBottom: string;
        btnLoading: string;
    };
    grid: {};
    menu: {};
    tooltip: {
        trigger: string;
        theme: string;
    };
    pager: {};
    toolbar: {
        resizable: {
            storage: boolean;
        };
        buttons: never[];
    };
    modal: {
        zIndex: number;
        minWidth: number;
        minHeight: number;
        lockView: boolean;
        mask: boolean;
        duration: number;
        marginSize: number;
        animat: boolean;
    };
    i18n: (key: any) => any;
    constant: {
        insertedField: string;
        deletedField: string;
        asyncPrefix: string;
    };
    TINY_TABLE_CUSTOM_COLUMN_WIDTH: string;
    TINY_TABLE_CUSTOM_SETTING: string;
    viewConfig: {
        DEFAULT: string;
        MF: string;
        CARD: string;
        LIST: string;
        GANTT: string;
        MF_SHOW_LIST: string;
        MF_SHOW_CARD: string;
        toolbar: {
            default: string;
            mf: string;
            card: string;
        };
        pager: {
            default: string;
            mf: string;
            card: string;
        };
        columnAnchor: {
            default: string;
            mf: string;
            card: string;
        };
        hiddenColumn: {
            default: string;
            mf: string;
            card: string;
        };
        tableHeader: {
            default: string;
            mf: string;
            card: string;
        };
        emptyData: {
            default: string;
            mf: string;
            card: string;
        };
        tableBody: {
            default: string;
            mf: string;
            card: string;
        };
        tableFooter: {
            default: string;
            mf: string;
            card: string;
        };
        fixedColumn: {
            default: string;
            mf: string;
            card: string;
        };
        borderLine: {
            default: string;
            mf: string;
            card: string;
        };
        resizeBar: {
            default: string;
            mf: string;
            card: string;
        };
        gridLoading: {
            default: string;
            mf: string;
            card: string;
        };
        tableWrapper: {
            default: string;
            mf: string;
            card: string;
        };
        selectToolbar: {
            default: string;
            mf: string;
            card: string;
        };
        mfTable: {
            default: string;
            mf: string;
            card: string;
        };
        footerBorder: {
            default: string;
            mf: string;
            card: string;
        };
        operButton: {
            default: string;
            mf: string;
            card: string;
        };
    };
    themes: {
        AURORA: string;
        SAAS: string;
    };
};
export default GlobalConfig;
export declare const prefix = "tiny-grid";
